Legrand / Raritan Xerus™ JSON-RPC API for Remote Access Devices like KX4-101, KX3G2

Loading...
Searching...
No Matches
Classes | Public Member Functions | Public Attributes | List of all members
fitness::Fitness Interface Reference

Fitness Daemon interface More...

`import "Fitness.idl";`

## Classes
struct | DataEntry
| An entry in the reliability database. More...
struct | ErrorLogEntry
| An entry in the reliability error log. More...

## Public Member Functions
vector< DataEntry > | getDataEntries ()
| Returns the fitness data entries.
void | getErrorLogIndexRange (out int firstIndex, out int entryCount)
| Returns the error log index range.
vector< ErrorLogEntry > | getErrorLogEntries (in int startIndex, in int count)
| Returns the error log.

## Public Attributes
constant int | FLAG_VALUE_INVALID = 0x1
| The value/worstValue/rawValue is invalid (e.g.
constant int | FLAG_VALUE_OLD = 0x2
| The value/rawValue is out-dated.
constant int | FLAG_ENTRY_CRITICAL = 0x4
| Violating the threshold is a critical event.

## Detailed Description

Fitness Daemon interface

Definition at line 10 of file Fitness.idl.

## Member Function Documentation

## ◆ getDataEntries()

vector< DataEntry > fitness::Fitness::getDataEntries | ( |  | ) |

Returns the fitness data entries.

The count of entries depends on the device. For example a PDU each sub controller currently has 3 entries + 2 entries per relay. The data is updated only once or twice a minute.

Returns
  – the vector with the fitness data entries

## ◆ getErrorLogEntries()

vector< ErrorLogEntry > fitness::Fitness::getErrorLogEntries | ( | in int | startIndex,
|  | in int | count )

Returns the error log.

If the startIndex is smaller than the first index in the log than the count of returned entries is smaller (or even 0) as well.

Parameters

  startIndex | – the index of the first entry to return
  count | – the count of entries starting from the startIndex

Returns
  – the vector with the error log entries

## ◆ getErrorLogIndexRange()

void fitness::Fitness::getErrorLogIndexRange | ( | out int | firstIndex,
|  | out int | entryCount )

Returns the error log index range.

Parameters

  firstIndex | – the first valid index
  entryCount | – the count of entries in the error log

## Member Data Documentation

## ◆ FLAG_ENTRY_CRITICAL

constant int fitness::Fitness::FLAG_ENTRY_CRITICAL = 0x4

Violating the threshold is a critical event.

Definition at line 19 of file Fitness.idl.

## ◆ FLAG_VALUE_INVALID

constant int fitness::Fitness::FLAG_VALUE_INVALID = 0x1

The value/worstValue/rawValue is invalid (e.g.

not initialized).

Definition at line 13 of file Fitness.idl.

## ◆ FLAG_VALUE_OLD

constant int fitness::Fitness::FLAG_VALUE_OLD = 0x2

The value/rawValue is out-dated.

Definition at line 16 of file Fitness.idl.

The documentation for this interface was generated from the following file:

- Fitness.idl